;=========================================
; The arrival of the queen of Sheba 
; by G. F. Handel
; Arranged by Andew Colin (1982/83)
; 
; The originale song use a Basic/machine
; code for generating music
; This is a machine code port 
; The code can generate a PRG or SID file.
;=========================================

.ifdef sid
 .byte "PSID"
 .word $0200         ; version 2
 .word $7C00         ; data offset
 .word $0000         ; load address in cbm format
 .byte >initMusic
 .byte <initMusic 
 .byte >playMusic
 .byte <playMusic 
 .word $0100         ; 1 song
 .word $0100         ; default song
 .word $FFFF
 .word $FFFF
 .byte "Arrival of the queen of Sheba",0,0,0
 .byte "Andrew Colin",0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
 .byte "1982-83 Commodore Inc",0,0,0,0,0,0,0,0,0,0,0
 .word $0000
 .word $0000
 .word $0000
 
.endif

.org $0801

 ;=================================
 ; PRG start address
 ;=================================
 .byte $01,$08

 ;=================================
 ; BASIC startup program
 ;=================================
 .byte $0b,$08,$e8,$03,$9e,"2061",0,0,0

.org 2061
     jsr initMusic

     sei
     lda #<interr
     sta $0314
     lda #>interr
     sta $0315

     cli

aaa:
 jmp aaa

interr =*
     ;lda  $01
     ;and  #$fe
     ;sta  $01
     lda  contr+0
     bne  playMusic
kernal:
     ;lda  $01
     ;ora  #$01
     ;sta  $01
     jmp  $ea31

playMusic:  
     ldx #$00
     lda instr+0,x                ; Voice 1: Control registers
     beq nend
     inc instr+5,x
     bne nend
     inc instr+6,x
     bne nend
     lda instr+1,x                ; Voice 1: notes address lo 
     sta $fe
     lda instr+2,x                ; Voice 1: notes address hi
     sta $ff
     ldy #$00
     lda ($fe),y
     asl
     tay
     lda contr+2,y
     sta $d400,x                  ; Voice 1: Frequency control (lo byte)
     lda contr+3,y
     sta $d401,x                  ; Voice 1: Frequency control (hi byte)
     lda instr+3,x                ; Voice 1: notes duration address lo 
     sta $fe
     lda instr+4,x                ; Voice 1: notes duration address hi
     sta $ff
     ldy #$00
     lda ($fe),y
     bne skip
     sta instr+0,x                ; Voice 1: Control registers
     jmp nend
skip:
     tay
loop:     
     lda instr+5,x
     sec
     sbc contr+1
     sta instr+5,x
     lda instr+6,x
     sbc #$00
     sta instr+6,x
     dey
     bne loop
     inc instr+1,x                ; Voice 1: notes address lo 
     bne skip1
     inc instr+2,x                ; Voice 1: notes address hi
skip1:
     inc instr+3,x                ; Voice 1: notes duration address lo 
     bne skip2
     inc instr+4,x                ; Voice 1: notes duration address hi
skip2:
     lda #$00
     sta $d404,x                  ; Voice 1: Control registers
     lda instr+0,x                ; Voice 1: Control registers
     sta $d404,x                  ; Voice 1: Control registers
nend:
     txa
     clc
     adc #$07
     tax
     cmp #$15
     bne skip3
.ifdef sid
     rts
.endif
     jmp kernal
skip3:
     jmp playMusic+2


initMusic =*
                                  ; initialize control registers 
     lda #$00
     ;sta contr+0
     sta contr+2
     sta contr+3
     lda #$8
     sta contr+1
                                  ; erase all sid registers
     ldx  #24
     lda  #0
loop1:
     sta  $D400,x
     dex
     bpl  loop1
                                  ; initialze sid registers
     lda  #25
     sta  $D405                   ; Generator 1: Attack/Decay (voice 1)
     sta  $D40C                   ; Generator 1: Attack/Decay (voice 2)
     sta  $D413                   ; Generator 1: Attack/Decay (voice 2)
     lda  #79
     sta  $D418                   ; Select volume and filter mode 
     lda  #200
     sta  $D402                   ; Voice 1: Wave form pulsation amplitude (lo byte)
     lda  #60
     sta  $D409                   ; Voice 2: Wave form pulsation amplitude (lo byte)
     sta  $D410                   ; Voice 3: Wave form pulsation amplitude (lo byte)
     lda  #50
     sta  $D416                   
     lda  #0
     sta  $D417
     
     rts

contr =*                          ; control register
  .byte 1;0
  .byte 8
  .byte 0
  .byte 0
  
freq =*  
  .byte 76, 4
  .byte 141, 4
  .byte 210, 4
  .byte 28, 5
  .byte 105, 5
  .byte 188, 5
  .byte 19, 6
  .byte 112, 6
  .byte 210, 6
  .byte 57, 7
  .byte 167, 7
  .byte 28, 8
  .byte 152, 8
  .byte 26, 9
  .byte 165, 9
  .byte 56, 10
  .byte 211, 10
  .byte 120, 11
  .byte 39, 12
  .byte 224, 12
  .byte 164, 13
  .byte 115, 14
  .byte 79, 15
  .byte 57, 16
  .byte 48, 17
  .byte 53, 18
  .byte 74, 19 
  .byte 112, 20
  .byte 167, 21
  .byte 241, 22
  .byte 78, 24
  .byte 192, 25
  .byte 72, 27
  .byte 231, 28
  .byte 159, 30
  .byte 114, 32
  .byte 96, 34
  .byte 107, 36
  .byte 149, 38
  .byte 225, 40
  .byte 79, 43
  .byte 226, 45
  .byte 157, 48
  .byte 129, 51
  .byte 145, 54
  .byte 207, 57
  .byte 63, 61
  .byte 228, 64
  .byte 192, 68
  .byte 214, 72
  .byte 43, 77
  .byte 194, 81
  .byte 158, 86
  .byte 197, 91
  .byte 58, 97
  .byte 2, 103
  .byte 34, 109
  .byte 159, 115
  .byte 127, 122
  .byte 200, 129
  .byte 128, 137
  .byte 173, 145
  .byte 86, 154
  ;.byte 132, 163
  ;.byte 61, 173
  ;.byte 138, 183
  ;.byte 116, 194
  ;.byte 4, 206
  
instr=*
  .byte 65                        ; Voice 1: Control registers
  .byte <note1                    ; Voice 1: notes address lo 
  .byte >note1                    ; Voice 1: notes address hi
  .byte <len1                     ; Voice 1: notes duration address lo 
  .byte >len1                     ; Voice 1: notes duration address hi
  .byte 255
  .byte 255
  
  .byte 17                        ; Voice 2: Control registers
  .byte <note2                    ; Voice 2: notes address lo 
  .byte >note2                    ; Voice 2: notes address hi
  .byte <len2                     ; Voice 2: notes duration address lo 
  .byte >len2                     ; Voice 2: notes duration address hi
  .byte 255
  .byte 255
  
  .byte 17                        ; Voice 3: Control registers
  .byte <note3                    ; Voice 3: notes address lo 
  .byte >note3                    ; Voice 3: notes address hi
  .byte <len3                     ; Voice 3: notes duration address lo 
  .byte >len3                     ; Voice 3: notes duration address hi
  .byte 255
  .byte 255
  
note1 =*                          ; note value for voice 1
  .byte $2f, $2a, $27, $2a, $2f, $2a, $27, $2a
  .byte $2f, $2a, $27, $2a, $2f, $2a, $27, $2a
  .byte $25, $2f, $2e, $2c, $2a, $28, $27, $25
  .byte $27, $23, $25, $27, $28, $2a, $2c, $2e
  .byte $2f, $2a, $23, $2a, $2f, $2a, $27, $2a
  .byte $2f, $29, $25, $29, $2f, $2c, $25, $2c
  .byte $2e, $2c, $2a, $2c, $25, $29, $2a, $25
  .byte $27, $25, $27, $25, $27, $25, $22, $1e
  .byte $22, $25, $22, $1e, $22, $2a, $27, $23
  .byte $27, $2a, $27, $23, $27, $28, $25, $20
  .byte $25, $28, $25, $22, $25, $27, $1e, $20
  .byte $22, $23, $25, $27, $28, $2a, $27, $23
  .byte $27, $2a, $27, $23, $27, $2a, $25, $22
  .byte $25, $2a, $25, $22, $25, $27, $23, $20
  .byte $23, $27, $23, $20, $23, $27, $22, $1e
  .byte $22, $27, $22, $1e, $22, $2f, $2c, $28
  .byte $2c, $2f, $2c, $28, $2c, $2f, $2a, $27
  .byte $2a, $2f, $2a, $27, $2a, $28, $2a, $2c
  .byte $2a, $28, $27, $25, $23, $22, $23, $25
  .byte $23, $22, $20, $1e, $1c, $1b, $1e, $1c
  .byte $20, $1e, $22, $20, $23, $22, $25, $23
  .byte $27, $25, $28, $27, $2a, $28, $2a, $28
  .byte $2a, $2c, $2a, $28, $27, $25, $27, $25
  .byte $27, $28, $2a, $28, $2a, $2c, $2a, $2c
  .byte $2a, $28, $27, $28, $27, $25, $27, $25
  .byte $27, $28, $2a, $28, $2a, $2c, $2a, $2c
  .byte $2a, $28, $27, $28, $27, $25, $27, $25
  .byte $27, $28, $27, $28, $25, $27, $2a, $28
  .byte $2c, $2a, $2e, $2c, $2f, $2e, $2c, $2a
  .byte $2f, $28, $27, $25, $23, $1e, $22, $23
  .byte $1e, $00, $23, $25, $27, $28, $27, $25
  .byte $23, $2a, $28, $27, $28, $27, $28, $25
  .byte $27, $28, $2a, $2c, $2a, $28, $27, $28
  .byte $27, $28, $25, $27, $25, $23, $2f, $2a
  .byte $27, $2a, $2f, $2a, $27, $2a, $2f, $2a
  .byte $27, $2a, $2f, $2a, $27, $2a, $25, $2f
  .byte $2e, $2c, $2a, $28, $27, $25, $27, $1e
  .byte $17, $2a, $2c, $2a, $28, $27, $28, $2c
  .byte $2c, $2a, $28, $27, $2a, $28, $27, $25
  .byte $28, $27, $2a, $2a, $28, $27, $25, $28
  .byte $27, $25, $23, $27, $25, $2a, $22, $23
  .byte $25, $27, $25, $2a, $22, $23, $25, $27
  .byte $25, $2a, $2a, $2a, $2a, $25, $22, $25
  .byte $2a, $25, $22, $25, $2a, $25, $22, $25
  .byte $2a, $25, $2a, $2e, $2c, $2a, $29, $27
  .byte $25, $23, $22, $20, $22, $1e, $20, $22
  .byte $23, $25, $27, $29, $2a, $2c, $2e, $2f
  .byte $2e, $2c, $2a, $25, $23, $22, $23, $22
  .byte $23, $20, $22, $23, $25, $27, $25, $29
  .byte $2a, $2c, $2e, $2f, $2c, $2e, $2c, $2a
  .byte $25, $22, $1e, $22, $25, $22, $1e, $22
  .byte $25, $20, $1d, $20, $25, $20, $1d, $20
  .byte $22, $1e, $1b, $1e, $22, $1e, $1b, $1e
  .byte $22, $1d, $19, $1d, $22, $1d, $19, $1d
  .byte $2a, $27, $23, $27, $2a, $27, $23, $27
  .byte $2a, $25, $22, $25, $2a, $25, $22, $25
  .byte $23, $25, $27, $25, $23, $22, $20, $1e
  .byte $1d, $2c, $2e, $2c, $2c, $2a, $2f, $2e
  .byte $2e, $2c, $2e, $2f, $2e, $2c, $2c, $2e
  .byte $2c, $2a, $2c, $2e, $2c, $2a, $2a, $2c
  .byte $2a, $29, $27, $29, $27, $25, $23, $25
  .byte $23, $22, $20, $22, $20, $22, $23, $25
  .byte $23, $25, $27, $25, $27, $25, $23, $22
  .byte $23, $22, $20, $22, $20, $22, $23, $25
  .byte $23, $25, $27, $25, $27, $25, $23, $22
  .byte $23, $22, $20, $22, $20, $22, $23, $25
  .byte $23, $25, $22, $2a, $20, $29, $2a, $25
  .byte $1e, $27, $28, $2a, $2c, $2a, $28, $27
  .byte $2a, $28, $27, $28, $27, $28, $25, $27
  .byte $25, $23, $2f, $2a, $27, $2a, $2f, $2a
  .byte $27, $2a, $2f, $2a, $27, $2a, $2f, $2a
  .byte $27, $2a, $25, $2f, $2e, $2c, $2a, $28
  .byte $27, $25, $27, $23, $25, $27, $23, $27
  .byte $25, $25, $23, $28, $27, $27, $25, $27
  .byte $28, $27, $25, $25, $27, $25, $23, $25
  .byte $27, $25, $23, $23, $25, $23, $22, $23
  .byte $25, $27, $28, $27, $25, $23, $2f, $2e
  .byte $2c, $2e, $2c, $2e, $2b, $2c, $27, $23
  .byte $27, $2c, $27, $23, $27, $2c, $27, $23
  .byte $27, $2c, $27, $23, $27, $2c, $27, $2c
  .byte $2f, $2e, $2c, $2b, $29, $27, $25, $23
  .byte $22, $23, $20, $22, $23, $25, $27, $29
  .byte $2b, $2c, $20, $28, $25, $27, $28, $2a
  .byte $25, $27, $23, $25, $27, $28, $23, $25
  .byte $22, $22, $23, $25, $27, $22, $23, $20
  .byte $22, $23, $25, $22, $23, $25, $27, $23
  .byte $25, $27, $28, $25, $24, $25, $2e, $2b
  .byte $27, $2b, $2e, $2b, $27, $2b, $2c, $27
  .byte $23, $27, $2c, $27, $23, $27, $2c, $2a
  .byte $28, $27, $25, $23, $22, $20, $20, $2f
  .byte $2c, $28, $2c, $2f, $2c, $28, $2c, $2f
  .byte $2a, $27, $2a, $2f, $2a, $27, $2a, $2c
  .byte $28, $25, $28, $2c, $28, $25, $28, $2c
  .byte $27, $23, $27, $2c, $27, $23, $27, $28
  .byte $25, $21, $25, $28, $25, $21, $25, $28
  .byte $23, $20, $23, $28, $23, $20, $23, $2d
  .byte $2c, $2a, $28, $27, $25, $23, $21, $20
  .byte $1c, $20, $23, $20, $21, $23, $25, $23
  .byte $21, $20, $2c, $2a, $28, $2a, $28, $2a
  .byte $27, $28, $2f, $2d, $2c, $2d, $2c, $2d
  .byte $2a, $2c, $2a, $28, $23, $20, $1c, $20
  .byte $23, $20, $1c, $20, $25, $20, $1d, $20
  .byte $25, $20, $1d, $20, $25, $22, $1e, $22
  .byte $25, $22, $1e, $22, $27, $22, $1f, $22
  .byte $27, $22, $1f, $22, $27, $23, $20, $23
  .byte $27, $23, $20, $23, $28, $23, $20, $23
  .byte $28, $23, $20, $23, $28, $25, $21, $25
  .byte $28, $25, $21, $25, $2a, $25, $22, $25
  .byte $2a, $25, $22, $25, $27, $28, $2a, $2c
  .byte $2a, $28, $27, $2a, $28, $27, $28, $27
  .byte $28, $25, $27, $28, $27, $25, $27, $25
  .byte $23, $28, $27, $25, $27, $28, $2a, $2c
  .byte $2a, $2a, $22, $23, $25, $27, $28, $2a
  .byte $23, $22, $23, $25, $27, $28, $2a, $2c
  .byte $25, $24, $25, $27, $20, $25, $27, $28
  .byte $2a, $27, $28, $24, $25, $27, $28, $2a
  .byte $25, $27, $22, $23, $23, $21, $20, $21
  .byte $20, $1e, $20, $22, $23, $25, $23, $22
  .byte $23, $22, $20, $22, $1e, $22, $25, $22
  .byte $1e, $22, $2a, $27, $23, $27, $2a, $27
  .byte $23, $27, $2a, $25, $22, $25, $2a, $25
  .byte $22, $25, $27, $23, $20, $23, $27, $23
  .byte $20, $23, $27, $22, $1e, $22, $27, $22
  .byte $1e, $22, $2f, $2c, $28, $2c, $2f, $2c
  .byte $28, $2c, $2f, $2a, $27, $2a, $2f, $2a
  .byte $27, $2a, $28, $2a, $2c, $2a, $28, $27
  .byte $25, $23, $22, $23, $25, $23, $22, $20
  .byte $1e, $1c, $1b, $1e, $1c, $20, $1e, $22
  .byte $20, $23, $22, $25, $23, $27, $25, $28
  .byte $27, $2a, $28, $2a, $28, $2a, $2c, $2a
  .byte $28, $27, $25, $27, $25, $27, $28, $2a
  .byte $28, $2a, $2c, $2a, $2c, $2a, $28, $27
  .byte $28, $27, $25, $27, $25, $27, $28, $2a
  .byte $28, $2a, $2c, $2a, $2c, $2a, $28, $27
  .byte $28, $27, $25, $27, $25, $27, $28, $27
  .byte $28, $25, $27, $2a, $28, $2c, $2a, $2e
  .byte $2c, $2f, $2e, $2c, $2a, $2f, $28, $27
  .byte $25, $23, $1e, $22, $23, $00

len1 =*                           ; note duration for voice 1
  .byte $01, $01, $01, $01, $01, $01, $01, $01
  .byte $01, $01, $01, $01, $01, $01, $01, $01
  .byte $01, $01, $01, $01, $01, $01, $01, $01
  .byte $01, $01, $01, $01, $01, $01, $01, $01
  .byte $01, $01, $01, $01, $01, $01, $01, $01
  .byte $01, $01, $01, $01, $01, $01, $01, $01
  .byte $01, $01, $01, $01, $02, $02, $02, $01
  .byte $01, $01, $01, $01, $01, $01, $01, $01
  .byte $01, $01, $01, $01, $01, $01, $01, $01
  .byte $01, $01, $01, $01, $01, $01, $01, $01
  .byte $01, $01, $01, $01, $01, $01, $01, $01
  .byte $01, $01, $01, $01, $01, $01, $01, $01
  .byte $01, $01, $01, $01, $01, $01, $01, $01
  .byte $01, $01, $01, $01, $01, $01, $01, $01
  .byte $01, $01, $01, $01, $01, $01, $01, $01
  .byte $01, $01, $01, $01, $01, $01, $01, $01
  .byte $01, $01, $01, $01, $01, $01, $01, $01
  .byte $01, $01, $01, $01, $01, $01, $01, $01
  .byte $01, $01, $01, $01, $01, $01, $01, $01
  .byte $01, $01, $01, $01, $01, $01, $01, $01
  .byte $01, $01, $01, $01, $01, $01, $01, $01
  .byte $01, $01, $01, $01, $01, $01, $01, $01
  .byte $01, $01, $01, $01, $01, $01, $01, $01
  .byte $01, $01, $01, $01, $01, $01, $01, $01
  .byte $01, $01, $01, $01, $01, $01, $01, $01
  .byte $01, $01, $01, $01, $01, $01, $01, $01
  .byte $01, $01, $01, $01, $01, $01, $01, $01
  .byte $01, $01, $01, $01, $01, $01, $01, $01
  .byte $01, $01, $01, $01, $01, $02, $01, $01
  .byte $02, $02, $02, $01, $01, $02, $02, $02
  .byte $02, $04, $01, $01, $01, $01, $02, $02
  .byte $02, $04, $02, $02, $01, $01, $02, $02
  .byte $01, $01, $01, $01, $02, $02, $02, $01
  .byte $01, $02, $02, $02, $02, $04, $01, $01
  .byte $01, $01, $01, $01, $01, $01, $01, $01
  .byte $01, $01, $01, $01, $01, $01, $01, $01
  .byte $01, $01, $01, $01, $01, $01, $02, $02
  .byte $04, $04, $01, $01, $01, $01, $02, $04
  .byte $02, $01, $01, $01, $01, $01, $01, $01
  .byte $01, $02, $04, $02, $01, $01, $01, $01
  .byte $01, $01, $01, $01, $02, $02, $01, $01
  .byte $01, $01, $02, $02, $01, $01, $01, $01
  .byte $02, $02, $02, $02, $01, $01, $01, $01
  .byte $01, $01, $01, $01, $01, $01, $01, $01
  .byte $01, $01, $01, $01, $01, $01, $01, $01
  .byte $01, $01, $01, $01, $01, $01, $01, $01
  .byte $01, $01, $01, $01, $01, $01, $01, $01
  .byte $02, $02, $02, $04, $02, $02, $01, $01
  .byte $02, $02, $01, $01, $01, $01, $02, $02
  .byte $02, $01, $01, $02, $02, $02, $02, $04
  .byte $01, $01, $01, $01, $01, $01, $01, $01
  .byte $01, $01, $01, $01, $01, $01, $01, $01
  .byte $01, $01, $01, $01, $01, $01, $01, $01
  .byte $01, $01, $01, $01, $01, $01, $01, $01
  .byte $01, $01, $01, $01, $01, $01, $01, $01
  .byte $01, $01, $01, $01, $01, $01, $01, $01
  .byte $01, $01, $01, $01, $01, $01, $01, $01
  .byte $06, $02, $02, $02, $02, $02, $02, $02
  .byte $02, $02, $01, $01, $01, $01, $01, $01
  .byte $01, $01, $01, $01, $01, $01, $01, $01
  .byte $01, $01, $01, $01, $01, $01, $01, $01
  .byte $01, $01, $01, $01, $01, $01, $01, $01
  .byte $01, $01, $01, $01, $01, $01, $01, $01
  .byte $01, $01, $01, $01, $01, $01, $01, $01
  .byte $01, $01, $01, $01, $01, $01, $01, $01
  .byte $01, $01, $01, $01, $01, $01, $01, $01
  .byte $01, $01, $02, $02, $02, $02, $02, $02
  .byte $04, $01, $01, $01, $01, $02, $02, $02
  .byte $04, $02, $02, $01, $01, $02, $02, $02
  .byte $02, $04, $01, $01, $01, $01, $01, $01
  .byte $01, $01, $01, $01, $01, $01, $01, $01
  .byte $01, $01, $01, $01, $01, $01, $01, $01
  .byte $01, $01, $01, $01, $01, $01, $04, $02
  .byte $02, $02, $02, $02, $02, $02, $02, $01
  .byte $01, $01, $01, $01, $01, $01, $01, $01
  .byte $01, $01, $01, $01, $01, $01, $01, $01
  .byte $01, $01, $01, $02, $02, $02, $04, $02
  .byte $02, $01, $01, $02, $02, $02, $02, $02
  .byte $02, $01, $01, $01, $01, $01, $01, $01
  .byte $01, $01, $01, $01, $01, $01, $01, $01
  .byte $01, $01, $01, $01, $01, $01, $01, $01
  .byte $01, $01, $01, $01, $01, $01, $01, $01
  .byte $01, $04, $04, $04, $06, $01, $01, $02
  .byte $02, $04, $06, $01, $01, $02, $02, $04
  .byte $04, $02, $01, $01, $02, $02, $02, $04
  .byte $01, $01, $02, $04, $01, $01, $02, $04
  .byte $01, $01, $02, $02, $02, $02, $01, $01
  .byte $01, $01, $01, $01, $01, $01, $01, $01
  .byte $01, $01, $01, $01, $01, $01, $02, $01
  .byte $01, $02, $02, $04, $03, $01, $08, $01
  .byte $01, $01, $01, $01, $01, $01, $01, $01
  .byte $01, $01, $01, $01, $01, $01, $01, $01
  .byte $01, $01, $01, $01, $01, $01, $01, $01
  .byte $01, $01, $01, $01, $01, $01, $01, $01
  .byte $01, $01, $01, $01, $01, $01, $01, $01
  .byte $01, $01, $01, $01, $01, $01, $01, $01
  .byte $01, $01, $01, $01, $01, $01, $01, $02
  .byte $02, $02, $02, $01, $01, $01, $01, $02
  .byte $02, $02, $04, $02, $02, $01, $01, $02
  .byte $02, $02, $04, $02, $02, $01, $01, $02
  .byte $02, $02, $02, $04, $01, $01, $01, $01
  .byte $01, $01, $01, $01, $01, $01, $01, $01
  .byte $01, $01, $01, $01, $01, $01, $01, $01
  .byte $01, $01, $01, $01, $01, $01, $01, $01
  .byte $01, $01, $01, $01, $01, $01, $01, $01
  .byte $01, $01, $01, $01, $01, $01, $01, $01
  .byte $01, $01, $01, $01, $01, $01, $01, $01
  .byte $01, $01, $01, $01, $01, $01, $01, $01
  .byte $01, $01, $01, $01, $01, $01, $01, $01
  .byte $02, $02, $02, $04, $02, $02, $01, $01
  .byte $02, $02, $02, $02, $02, $02, $02, $04
  .byte $02, $02, $04, $02, $01, $01, $01, $01
  .byte $02, $02, $02, $04, $02, $01, $01, $04
  .byte $02, $01, $01, $04, $02, $01, $01, $04
  .byte $02, $01, $01, $04, $02, $02, $01, $01
  .byte $02, $02, $02, $02, $06, $01, $01, $02
  .byte $02, $02, $02, $04, $02, $01, $01, $02
  .byte $01, $01, $02, $01, $01, $06, $01, $01
  .byte $02, $01, $01, $02, $01, $01, $01, $01
  .byte $01, $01, $01, $01, $01, $01, $01, $01
  .byte $01, $01, $01, $01, $01, $01, $01, $01
  .byte $01, $01, $01, $01, $01, $01, $01, $01
  .byte $01, $01, $01, $01, $01, $01, $01, $01
  .byte $01, $01, $01, $01, $01, $01, $01, $01
  .byte $01, $01, $01, $01, $01, $01, $01, $01
  .byte $01, $01, $01, $01, $01, $01, $01, $01
  .byte $01, $01, $01, $01, $01, $01, $01, $01
  .byte $01, $01, $01, $01, $01, $01, $01, $01
  .byte $01, $01, $01, $01, $01, $01, $01, $01
  .byte $01, $01, $01, $01, $01, $01, $01, $01
  .byte $01, $01, $01, $01, $01, $01, $01, $01
  .byte $01, $01, $01, $01, $01, $01, $01, $01
  .byte $01, $01, $01, $01, $01, $01, $01, $01
  .byte $01, $01, $01, $01, $01, $01, $01, $01
  .byte $01, $01, $01, $01, $01, $01, $01, $01
  .byte $01, $01, $01, $01, $01, $01, $01, $01
  .byte $01, $01, $02, $01, $01, $02, $02, $04
  .byte $02, $02, $04, $04, $08, $00
  
note2 =*                          ; note value for voice 2
  .byte $17, $17, $16, $16, $14, $14, $12, $12
  .byte $10, $10, $12, $12, $17, $0b, $0f, $0f
  .byte $14, $14, $0d, $0d, $11, $11, $12, $1b
  .byte $1d, $0d, $12, $0a, $0d, $12, $12, $10
  .byte $10, $0f, $0f, $14, $14, $0d, $0d, $12
  .byte $12, $17, $0b, $1b, $1e, $1b, $1e, $19
  .byte $1e, $19, $1e, $17, $1b, $17, $1b, $16
  .byte $1b, $16, $1b, $14, $17, $14, $17, $12
  .byte $17, $12, $17, $19, $19, $19, $10, $12
  .byte $12, $12, $0a, $0b, $0d, $0f, $10, $12
  .byte $14, $16, $17, $25, $27, $25, $27, $28
  .byte $27, $25, $23, $22, $00, $22, $00, $25
  .byte $00, $25, $00, $28, $2a, $28, $2a, $25
  .byte $27, $25, $27, $22, $27, $22, $27, $25
  .byte $2a, $25, $2a, $28, $2a, $28, $2a, $25
  .byte $27, $25, $27, $22, $27, $22, $27, $25
  .byte $27, $28, $25, $23, $22, $23, $25, $2c
  .byte $2a, $20, $1e, $20, $23, $1e, $1c, $1b
  .byte $1e, $00, $23, $25, $27, $28, $27, $25
  .byte $23, $2a, $28, $27, $28, $27, $28, $25
  .byte $27, $28, $2a, $2c, $2a, $28, $27, $28
  .byte $27, $28, $25, $27, $25, $23, $2f, $2a
  .byte $27, $2a, $2f, $2a, $27, $2a, $2f, $2a
  .byte $27, $2a, $2f, $2a, $27, $2a, $25, $2f
  .byte $2e, $2c, $2a, $28, $27, $25, $23, $1e
  .byte $17, $2a, $2c, $2a, $28, $27, $28, $2c
  .byte $2c, $2a, $28, $27, $2a, $28, $27, $25 
  .byte $28, $27, $2a, $2a, $28, $27, $25, $28
  .byte $27, $25, $23, $27, $25, $2a, $22, $23
  .byte $25, $27, $25, $2a, $22, $23, $25, $27
  .byte $25, $2a, $2a, $2a, $22, $25, $22, $25
  .byte $2a, $25, $22, $25, $2a, $25, $22, $25
  .byte $2a, $25, $2a, $2e, $2c, $2a, $29, $27
  .byte $25, $23, $22, $20, $22, $1e, $20, $22
  .byte $23, $25, $27, $29, $22, $2c, $2e, $2f
  .byte $25, $23, $22, $25, $23, $22, $23, $22
  .byte $23, $20, $22, $23, $25, $27, $25, $29
  .byte $2a, $2c, $2e, $2f, $2c, $2e, $2c, $2a
  .byte $16, $19, $16, $19, $14, $19, $14, $19
  .byte $12, $16, $12, $16, $11, $16, $11, $16
  .byte $0f, $12, $0f, $12, $0d, $12, $0d, $12
  .byte $14, $14, $14, $14, $0d, $2c, $2e, $2c
  .byte $2c, $2a, $2f, $2e, $2e, $2c, $2e, $2f
  .byte $2e, $2c, $2c, $2e, $2c, $2a, $2c, $2e
  .byte $2c, $2a, $2a, $2c, $2a, $29, $27, $29
  .byte $27, $25, $23, $25, $23, $22, $1d, $22
  .byte $1d, $22, $20, $25, $20, $25, $23, $25
  .byte $23, $25, $20, $22, $20, $22, $1d, $22
  .byte $1d, $22, $20, $25, $20, $25, $23, $25
  .byte $23, $25, $20, $22, $20, $22, $1d, $22
  .byte $1d, $22, $20, $25, $20, $25, $22, $22
  .byte $20, $20, $22, $25, $1e, $27, $28, $2a
  .byte $2c, $2a, $28, $27, $2a, $28, $27, $28
  .byte $27, $28, $25, $27, $25, $23, $2f, $2a
  .byte $27, $2a, $2f, $2a, $27, $2a, $2f, $2a
  .byte $27, $2a, $2f, $2a, $27, $2a, $25, $2f
  .byte $2e, $2c, $2a, $28, $27, $25, $27, $23
  .byte $25, $27, $23, $23, $22, $22, $20, $25
  .byte $23, $23, $22, $27, $28, $27, $25, $25
  .byte $27, $25, $23, $25, $27, $25, $23, $23
  .byte $25, $23, $22, $23, $25, $27, $28, $27
  .byte $25, $23, $2f, $2e, $2c, $2e, $2c, $2e
  .byte $2b, $2c, $27, $23, $27, $14, $14, $12
  .byte $12, $10, $10, $0f, $0f, $0d, $0d, $0f
  .byte $0f, $08, $00, $14, $14, $0f, $0f, $14
  .byte $10, $0d, $10, $14, $10, $0d, $1e, $1e
  .byte $19, $19, $1e, $1b, $17, $1b, $1e, $1b
  .byte $17, $10, $10, $0b, $0b, $10, $0d, $0a
  .byte $0d, $10, $0d, $0a, $1b, $1b, $16, $16
  .byte $1b, $17, $14, $17, $1b, $17, $14, $17
  .byte $1f, $19, $16, $19, $1f, $19, $16, $19
  .byte $20, $1b, $17, $1b, $14, $0f, $0b, $0f
  .byte $14, $10, $0d, $10, $19, $14, $10, $14
  .byte $13, $13, $19, $19, $20, $20, $20, $20
  .byte $22, $20, $1f, $17, $01, $20, $23, $20
  .byte $23, $1e, $23, $1e, $23, $1c, $20, $1c
  .byte $20, $1b, $20, $1b, $20, $19, $1c, $19
  .byte $1c, $17, $1c, $17, $1c, $19, $19, $1b
  .byte $1b, $17, $20, $21, $23, $25, $23, $21
  .byte $20, $2c, $2a, $28, $2a, $28, $2a, $27
  .byte $28, $2f, $2d, $2c, $2d, $2c, $2d, $2a
  .byte $2c, $2a, $28, $14, $17, $14, $17, $14
  .byte $19, $14, $19, $16, $19, $16, $19, $16
  .byte $1b, $16, $1b, $0b, $0f, $0b, $0f, $0b
  .byte $10, $0b, $10, $0d, $10, $0d, $10, $0d
  .byte $12, $0d, $12, $23, $28, $2a, $2c, $27
  .byte $25, $23, $2a, $28, $27, $28, $27, $28
  .byte $25, $27, $28, $27, $25, $27, $25, $23
  .byte $28, $27, $25, $27, $28, $2a, $2c, $2a
  .byte $2a, $22, $23, $25, $1e, $1e, $1b, $1b
  .byte $19, $16, $19, $18, $16, $18, $14, $14
  .byte $19, $19, $1b, $1b, $20, $1b, $1c, $20
  .byte $18, $19, $1b, $19, $14, $12, $14, $19
  .byte $14, $10, $19, $1e, $16, $14, $16, $17
  .byte $12, $10, $12, $0b, $0d, $23, $21, $20
  .byte $21, $20, $1e, $20, $22, $23, $25, $23
  .byte $22, $23, $22, $20, $22, $1e, $22, $25
  .byte $22, $1e, $22, $12, $17, $12, $17, $12
  .byte $16, $12, $16, $0f, $14, $0f, $14, $0f
  .byte $12, $0f, $12, $0b, $10, $0b, $10, $0b
  .byte $0f, $0b, $0f, $25, $27, $28, $27, $25
  .byte $27, $25, $23, $1e, $20, $22, $20, $1e
  .byte $20, $1e, $1c, $17, $00, $1e, $00, $25
  .byte $27, $25, $27, $28, $27, $25, $23, $22
  .byte $27, $22, $27, $25, $2a, $25, $2a, $28
  .byte $2a, $28, $2a, $25, $27, $25, $27, $22
  .byte $27, $22, $27, $25, $2a, $25, $2a, $28
  .byte $2a, $28, $2a, $25, $27, $25, $27, $22
  .byte $27, $22, $27, $25, $27, $28, $25, $1e
  .byte $22, $23, $27, $23, $20, $1e, $20, $1e
  .byte $1c, $17, $00

len2 =*                           ; note duration for voice 2
  .byte $02, $02, $02, $02, $02, $02, $02, $02
  .byte $02, $02, $02, $02, $04, $04, $02, $02
  .byte $02, $02, $02, $02, $02, $02, $02, $02
  .byte $02, $02, $04, $02, $02, $02, $02, $02
  .byte $02, $02, $02, $02, $02, $02, $02, $02
  .byte $02, $04, $04, $02, $02, $02, $02, $02
  .byte $02, $02, $02, $02, $02, $02, $02, $02
  .byte $02, $02, $02, $02, $02, $02, $02, $02
  .byte $02, $02, $02, $02, $02, $02, $02, $02
  .byte $02, $02, $02, $02, $02, $02, $02, $02
  .byte $02, $02, $02, $01, $01, $01, $01, $01
  .byte $01, $01, $01, $01, $01, $01, $01, $01
  .byte $01, $01, $01, $01, $01, $01, $01, $01
  .byte $01, $01, $01, $01, $01, $01, $01, $01
  .byte $01, $01, $01, $01, $01, $01, $01, $01
  .byte $01, $01, $01, $01, $01, $01, $01, $01
  .byte $01, $01, $01, $02, $02, $04, $02, $01
  .byte $03, $02, $02, $01, $01, $02, $02, $02
  .byte $02, $04, $01, $01, $01, $01, $02, $02
  .byte $02, $04, $02, $02, $01, $01, $02, $02
  .byte $01, $01, $01, $01, $02, $02, $02, $01
  .byte $01, $02, $02, $02, $02, $04, $01, $01
  .byte $01, $01, $01, $01, $01, $01, $01, $01
  .byte $01, $01, $01, $01, $01, $01, $01, $01
  .byte $01, $01, $01, $01, $01, $01, $02, $02
  .byte $04, $04, $01, $01, $01, $01, $02, $04
  .byte $02, $01, $01, $01, $01, $01, $01, $01
  .byte $01, $02, $04, $02, $01, $01, $01, $01
  .byte $01, $01, $01, $01, $02, $02, $01, $01
  .byte $01, $01, $02, $02, $01, $01, $01, $01
  .byte $02, $02, $02, $02, $01, $01, $01, $01
  .byte $01, $01, $01, $01, $01, $01, $01, $01
  .byte $01, $01, $01, $01, $01, $01, $01, $01
  .byte $01, $01, $01, $01, $01, $01, $01, $01
  .byte $01, $01, $01, $01, $01, $01, $01, $01
  .byte $02, $02, $02, $04, $02, $02, $01, $01
  .byte $02, $02, $01, $01, $01, $01, $02, $02
  .byte $02, $01, $01, $02, $02, $02, $02, $04
  .byte $02, $02, $02, $02, $02, $02, $02, $02
  .byte $02, $02, $02, $02, $02, $02, $02, $02
  .byte $02, $02, $02, $02, $02, $02, $02, $02
  .byte $02, $02, $02, $02, $06, $02, $02, $02
  .byte $02, $02, $02, $02, $02, $02, $01, $01
  .byte $01, $01, $01, $01, $01, $01, $01, $01
  .byte $01, $01, $01, $01, $01, $01, $01, $01
  .byte $01, $01, $01, $01, $01, $01, $01, $01
  .byte $01, $01, $01, $01, $01, $01, $01, $01
  .byte $01, $01, $01, $01, $01, $01, $01, $01
  .byte $01, $01, $01, $01, $01, $01, $01, $01
  .byte $01, $01, $01, $01, $01, $01, $01, $01
  .byte $01, $01, $01, $01, $01, $01, $02, $02
  .byte $02, $02, $02, $02, $04, $01, $01, $01
  .byte $01, $02, $02, $02, $04, $02, $02, $01
  .byte $01, $02, $02, $02, $02, $04, $01, $01
  .byte $01, $01, $01, $01, $01, $01, $01, $01
  .byte $01, $01, $01, $01, $01, $01, $01, $01
  .byte $01, $01, $01, $01, $01, $01, $01, $01
  .byte $01, $01, $04, $02, $02, $02, $02, $02
  .byte $02, $02, $02, $01, $01, $01, $01, $01
  .byte $01, $01, $01, $01, $01, $01, $01, $01
  .byte $01, $01, $01, $01, $01, $01, $01, $02
  .byte $02, $02, $04, $02, $02, $01, $01, $02
  .byte $02, $02, $02, $02, $02, $02, $02, $02
  .byte $02, $02, $02, $02, $02, $02, $02, $02
  .byte $02, $04, $04, $02, $02, $02, $02, $01
  .byte $01, $01, $01, $01, $01, $02, $02, $02
  .byte $02, $02, $01, $01, $01, $01, $01, $01
  .byte $02, $02, $02, $02, $02, $01, $01, $01
  .byte $01, $01, $01, $02, $02, $02, $02, $02
  .byte $01, $01, $01, $01, $01, $01, $01, $01
  .byte $01, $01, $01, $01, $01, $01, $01, $01
  .byte $01, $01, $01, $01, $01, $01, $01, $01
  .byte $01, $01, $01, $01, $01, $01, $01, $01
  .byte $02, $02, $02, $02, $04, $04, $04, $02
  .byte $02, $04, $04, $04, $04, $02, $02, $02
  .byte $02, $02, $02, $02, $02, $02, $02, $02
  .byte $02, $02, $02, $02, $02, $02, $02, $02
  .byte $02, $02, $02, $02, $02, $02, $02, $02
  .byte $02, $08, $01, $01, $01, $01, $02, $02
  .byte $02, $04, $02, $02, $01, $01, $02, $02
  .byte $02, $04, $02, $02, $01, $01, $02, $02
  .byte $02, $02, $04, $02, $02, $02, $02, $02
  .byte $02, $02, $02, $02, $02, $02, $02, $02
  .byte $02, $02, $02, $02, $02, $02, $02, $02
  .byte $02, $02, $02, $02, $02, $02, $02, $02
  .byte $02, $02, $02, $01, $01, $01, $01, $02
  .byte $02, $02, $04, $02, $02, $01, $01, $02
  .byte $02, $02, $02, $02, $02, $02, $04, $02
  .byte $02, $04, $02, $01, $01, $01, $01, $02
  .byte $02, $02, $04, $02, $02, $02, $02, $02
  .byte $02, $02, $01, $01, $01, $01, $02, $02
  .byte $02, $02, $02, $02, $02, $02, $02, $02
  .byte $02, $01, $01, $01, $01, $01, $01, $01
  .byte $01, $02, $02, $02, $02, $01, $01, $01
  .byte $01, $01, $01, $02, $02, $02, $01, $01
  .byte $02, $01, $01, $02, $01, $01, $06, $01
  .byte $01, $02, $01, $01, $02, $01, $01, $01
  .byte $01, $01, $01, $02, $02, $02, $02, $02
  .byte $02, $02, $02, $02, $02, $02, $02, $02
  .byte $02, $02, $02, $02, $02, $02, $02, $02
  .byte $02, $02, $02, $01, $01, $01, $01, $01
  .byte $01, $01, $01, $01, $01, $01, $01, $01
  .byte $01, $01, $01, $04, $04, $04, $04, $01
  .byte $01, $01, $01, $01, $01, $01, $01, $01
  .byte $01, $01, $01, $01, $01, $01, $01, $01
  .byte $01, $01, $01, $01, $01, $01, $01, $01
  .byte $01, $01, $01, $01, $01, $01, $01, $01
  .byte $01, $01, $01, $01, $01, $01, $01, $01
  .byte $01, $01, $01, $01, $01, $01, $01, $02
  .byte $02, $04, $04, $02, $02, $04, $04, $04
  .byte $04, $08, $00

note3 =*                          ; note value for voice 3
  .byte $0b, $0b, $0a, $0a, $08, $08, $06, $06
  .byte $04, $04, $06, $06, $0b, $0b, $03, $03
  .byte $08, $08, $0d, $0d, $05, $05, $06, $17
  .byte $19, $0d, $06, $0a, $0d, $06, $06, $04
  .byte $04, $03, $03, $08, $08, $01, $01, $06
  .byte $06, $0b, $0b, $17, $1b, $17, $1b, $16
  .byte $19, $16, $19, $14, $17, $14, $17, $12
  .byte $16, $12, $16, $10, $14, $10, $14, $0f
  .byte $12, $0f, $12, $0d, $0d, $0d, $04, $06
  .byte $06, $06, $00, $00, $01, $03, $04, $06
  .byte $08, $0a, $0b, $10, $10, $10, $10, $12
  .byte $12, $12, $12, $12, $12, $12, $12, $1e
  .byte $1e, $1e, $1e, $1e, $1e, $1e, $1e, $12
  .byte $12, $12, $12, $0b, $0d, $0f, $10, $12
  .byte $10, $0f, $10, $12, $10, $12, $06, $0b
  .byte $17, $23, $25, $27, $28, $27, $25, $23
  .byte $25, $27, $28, $27, $25, $23, $25, $23
  .byte $25, $22, $23, $25, $27, $28, $27, $25
  .byte $23, $25, $23, $25, $22, $23, $1e, $1b
  .byte $17, $17, $16, $16, $14, $14, $12, $12
  .byte $10, $10, $12, $12, $0b, $17, $27, $28
  .byte $27, $25, $23, $25, $28, $28, $27, $25
  .byte $23, $25, $22, $23, $27, $27, $25, $23
  .byte $22, $23, $20, $22, $25, $1e, $20, $22
  .byte $23, $22, $25, $1e, $20, $22, $23, $22
  .byte $22, $22, $22, $12, $12, $11, $11, $0f
  .byte $0f, $0d, $0d, $0b, $0b, $0d, $0d, $12
  .byte $0b, $0a, $08, $06, $00, $22, $20, $1e
  .byte $20, $1e, $20, $1d, $1e, $20, $22, $23
  .byte $22, $20, $22, $23, $25, $27, $29, $2a
  .byte $25, $1e, $12, $16, $12, $16, $11, $14
  .byte $11, $14, $0f, $12, $0f, $12, $0d, $11
  .byte $0d, $11, $0b, $0f, $0b, $0f, $0a, $0d
  .byte $0a, $0d, $08, $08, $08, $08, $0d, $29
  .byte $2a, $29, $29, $27, $2c, $2a, $2a, $29
  .byte $2a, $2c, $2a, $29, $29, $2a, $29, $27
  .byte $29, $2a, $29, $27, $27, $29, $27, $25
  .byte $23, $25, $23, $22, $20, $22, $20, $1e
  .byte $0d, $0d, $0d, $0d, $19, $19, $19, $19
  .byte $0d, $0d, $0d, $0d, $0d, $0d, $0d, $0d
  .byte $19, $19, $19, $19, $12, $1b, $17, $19
  .byte $12, $23, $25, $27, $28, $27, $25, $23
  .byte $27, $25, $23, $25, $23, $25, $22, $23
  .byte $1e, $1b, $17, $17, $16, $16, $14, $14
  .byte $12, $12, $10, $10, $12, $12, $0b, $1b
  .byte $1c, $1e, $17, $00, $23, $25, $23, $22
  .byte $22, $23, $22, $20, $22, $23, $22, $20
  .byte $20, $22, $20, $1f, $20, $22, $23, $25
  .byte $23, $22, $20, $27, $25, $23, $25, $23
  .byte $25, $22, $23, $20, $1b, $17, $14, $14
  .byte $12, $12, $10, $10, $0f, $0f, $0d, $0d
  .byte $0f, $0f, $14, $00, $0c, $0c, $0c, $0c
  .byte $00, $16, $16, $16, $16, $00, $14, $14
  .byte $14, $14, $00, $13, $13, $13, $13, $00
  .byte $00, $00, $00, $0f, $0f, $0d, $0d, $0b
  .byte $14, $12, $12, $10, $10, $0b, $0d, $0f
  .byte $0d, $0f, $0f, $08, $00, $1c, $20, $1c
  .byte $20, $1b, $1e, $1b, $1e, $19, $1c, $19
  .byte $1c, $17, $1b, $17, $1b, $15, $19, $15
  .byte $19, $14, $17, $14, $17, $15, $15, $15
  .byte $15, $10, $1c, $1e, $20, $21, $20, $1e
  .byte $1c, $23, $21, $20, $21, $20, $21, $1e
  .byte $20, $2c, $2a, $28, $2a, $28, $2a, $27
  .byte $28, $23, $20, $17, $10, $14, $10, $14
  .byte $11, $14, $11, $14, $12, $16, $12, $16
  .byte $13, $16, $13, $16, $14, $0b, $14, $0b
  .byte $14, $0b, $14, $0b, $15, $0d, $15, $0d
  .byte $16, $0d, $16, $0d, $17, $00, $27, $25
  .byte $23, $25, $23, $25, $22, $23, $25, $23
  .byte $22, $23, $22, $20, $25, $23, $22, $23
  .byte $25, $27, $28, $27, $23, $1e, $20, $22
  .byte $17, $17, $17, $17, $12, $12, $12, $0d
  .byte $0d, $10, $10, $12, $12, $18, $18, $19
  .byte $20, $12, $00, $00, $16, $00, $12, $00
  .byte $00, $0f, $12, $17, $0f, $10, $14, $17
  .byte $10, $11, $19, $14, $11, $12, $0d, $0b
  .byte $06, $0b, $0f, $0b, $0f, $16, $0d, $16
  .byte $0d, $14, $0b, $14, $0b, $12, $0a, $12
  .byte $0a, $10, $14, $10, $14, $0f, $12, $0f
  .byte $12, $0d, $0d, $0d, $10, $12, $12, $12
  .byte $0a, $0b, $0d, $0f, $10, $12, $14, $16
  .byte $17, $10, $10, $10, $10, $12, $12, $12
  .byte $12, $12, $12, $12, $12, $12, $12, $12
  .byte $12, $12, $12, $12, $12, $12, $12, $12
  .byte $12, $0b, $0d, $0f, $10, $12, $10, $0f
  .byte $10, $12, $10, $12, $12, $0b, $00
  
len3 =*                           ; note duration for voice 3
  .byte $02, $02, $02, $02, $02, $02, $02, $02
  .byte $02, $02, $02, $02, $04, $04, $02, $02
  .byte $02, $02, $02, $02, $02, $02, $02, $02
  .byte $02, $02, $04, $02, $02, $02, $02, $02
  .byte $02, $02, $02, $02, $02, $02, $02, $02
  .byte $02, $04, $04, $02, $02, $02, $02, $02
  .byte $02, $02, $02, $02, $02, $02, $02, $02
  .byte $02, $02, $02, $02, $02, $02, $02, $02
  .byte $02, $02, $02, $02, $02, $02, $02, $02
  .byte $02, $02, $02, $02, $02, $02, $02, $02
  .byte $02, $02, $02, $02, $02, $02, $02, $02
  .byte $02, $02, $02, $02, $02, $02, $02, $02
  .byte $02, $02, $02, $02, $02, $02, $02, $02
  .byte $02, $02, $02, $02, $02, $02, $02, $02
  .byte $02, $02, $02, $02, $02, $02, $02, $04
  .byte $04, $01, $01, $01, $01, $02, $02, $01
  .byte $01, $01, $01, $02, $02, $02, $01, $01
  .byte $02, $02, $01, $01, $01, $01, $02, $02
  .byte $02, $01, $01, $02, $02, $02, $02, $04
  .byte $02, $02, $02, $02, $02, $02, $02, $02
  .byte $02, $02, $02, $02, $04, $04, $04, $01
  .byte $01, $01, $01, $02, $04, $02, $01, $01
  .byte $02, $02, $02, $02, $04, $02, $01, $01
  .byte $02, $02, $02, $02, $02, $01, $01, $01
  .byte $01, $02, $02, $01, $01, $01, $01, $02
  .byte $02, $02, $02, $02, $02, $02, $02, $02
  .byte $02, $02, $02, $02, $02, $02, $02, $02
  .byte $02, $02, $02, $04, $06, $04, $02, $02
  .byte $01, $01, $02, $02, $01, $01, $01, $01
  .byte $02, $02, $02, $01, $01, $02, $02, $02
  .byte $02, $04, $02, $02, $02, $02, $02, $02
  .byte $02, $02, $02, $02, $02, $02, $02, $02
  .byte $02, $02, $02, $02, $02, $02, $02, $02
  .byte $02, $02, $02, $02, $02, $02, $06, $02
  .byte $02, $02, $02, $02, $02, $02, $02, $02
  .byte $01, $01, $01, $01, $01, $01, $01, $01
  .byte $01, $01, $01, $01, $01, $01, $01, $01
  .byte $01, $01, $01, $01, $01, $01, $01, $01
  .byte $02, $02, $02, $02, $02, $02, $02, $02
  .byte $02, $02, $02, $02, $02, $02, $02, $02
  .byte $02, $02, $02, $02, $02, $02, $02, $02
  .byte $08, $01, $01, $01, $01, $02, $02, $02
  .byte $04, $02, $02, $01, $01, $02, $02, $02
  .byte $02, $04, $02, $02, $02, $02, $02, $02
  .byte $02, $02, $02, $02, $02, $02, $05, $01
  .byte $01, $01, $04, $0c, $01, $01, $01, $01
  .byte $01, $01, $01, $01, $01, $01, $01, $01
  .byte $01, $01, $01, $01, $01, $01, $01, $01
  .byte $02, $02, $02, $04, $02, $02, $01, $01
  .byte $02, $02, $02, $02, $02, $02, $02, $02
  .byte $02, $02, $02, $02, $02, $02, $02, $02
  .byte $02, $02, $04, $04, $02, $02, $02, $02
  .byte $08, $02, $02, $02, $02, $08, $02, $02
  .byte $02, $02, $08, $02, $02, $02, $02, $08
  .byte $08, $08, $08, $02, $02, $02, $02, $02
  .byte $02, $02, $02, $02, $02, $02, $02, $02
  .byte $02, $02, $02, $04, $04, $02, $02, $02
  .byte $02, $02, $02, $02, $02, $02, $02, $02
  .byte $02, $02, $02, $02, $02, $02, $02, $02
  .byte $02, $02, $02, $02, $02, $02, $02, $02
  .byte $02, $08, $01, $01, $01, $01, $02, $02
  .byte $02, $04, $02, $02, $01, $01, $02, $02
  .byte $02, $04, $02, $02, $01, $01, $02, $02
  .byte $02, $02, $02, $02, $02, $02, $02, $02
  .byte $02, $02, $02, $02, $02, $02, $02, $02
  .byte $02, $02, $02, $02, $02, $02, $02, $02
  .byte $02, $02, $02, $02, $02, $02, $02, $02
  .byte $02, $02, $02, $02, $04, $06, $04, $02
  .byte $02, $01, $01, $02, $02, $02, $02, $02
  .byte $02, $02, $04, $02, $02, $04, $02, $01
  .byte $01, $01, $01, $02, $02, $02, $04, $02
  .byte $02, $02, $02, $02, $02, $02, $04, $02
  .byte $02, $02, $02, $02, $02, $02, $02, $02
  .byte $02, $02, $02, $08, $02, $02, $02, $02
  .byte $08, $02, $02, $02, $02, $02, $02, $02
  .byte $02, $02, $02, $02, $02, $02, $02, $02
  .byte $02, $02, $02, $02, $02, $02, $02, $02
  .byte $02, $02, $02, $02, $02, $02, $02, $02
  .byte $02, $02, $02, $02, $02, $02, $02, $02
  .byte $02, $02, $02, $02, $02, $02, $02, $02
  .byte $02, $02, $02, $02, $02, $02, $02, $02
  .byte $02, $02, $02, $02, $02, $02, $02, $02
  .byte $02, $02, $02, $02, $02, $02, $02, $02
  .byte $02, $02, $02, $02, $02, $02, $02, $02
  .byte $02, $02, $02, $02, $02, $02, $02, $02
  .byte $02, $04, $04, $04, $04, $08, $00
